epp_DomainTransferReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.domain.epp_DomainTransferReq class

### org.openrtk.idl.epprtk.domain

# Class epp_DomainTransferReq

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.domain.epp_DomainTransferReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainTransferReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to transfer a domain in the registry or to query the transfer status from the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/domain/epp_DomainTransferReq.java,v 1.1 2004/12/07 15:27:50 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:50 $

See Also:
  `EPPDomainTransfer`, `epp_DomainTransferRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_name` The name of the domain object for the transfer request.
  `epp_DomainPeriod` | `m_period` The number of units to be added to the registration period of the domain object.
  `epp_TransferRequest` | `m_trans` The common and gereric transfer request element.

  ## Constructor Summary
  `epp_DomainTransferReq()` Empty constructor
  `epp_DomainTransferReq(epp_Command _m_cmd, epp_TransferRequest _m_trans, String _m_name, epp_DomainPeriod _m_period)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getName()` Accessor method for the name of the domain object for the transfer request
  `epp_DomainPeriod` | `getPeriod()` Accessor method for the number of units to be added to the registration period of the domain object
  `epp_TransferRequest` | `getTrans()` Accessor method for the common and gereric transfer request element
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setName(String value)` Accessor method for the name of the domain object for the transfer request
  `void` | `setPeriod(epp_DomainPeriod value)` Accessor method for the number of units to be added to the registration period of the domain object
  `void` | `setTrans(epp_TransferRequest value)` Accessor method for the common and gereric transfer request element
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_name

    public String m_name

> The name of the domain object for the transfer request.
> See Also:
>   `setName(String)`, `getName()`

### m_period

    public epp_DomainPeriod m_period

> The number of units to be added to the registration period of the domain object.
> See Also:
>   `setPeriod(epp_DomainPeriod)`, `getPeriod()`

### m_trans

    public epp_TransferRequest m_trans

> The common and gereric transfer request element. The element encapsulates the authorization information and the transfer operation type.
> See Also:
>   `setTrans(epp_TransferRequest)`, `getTrans()`

## Constructor Details

### epp_DomainTransferReq

    public epp_DomainTransferReq()

> Empty constructor

### epp_DomainTransferReq

    public epp_DomainTransferReq(epp_Command _m_cmd,
                                 epp_TransferRequest _m_trans,
                                 String _m_name,
                                 epp_DomainPeriod _m_period)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_trans` - The common and gereric transfer request element
>   `_m_name` - The name of the domain object for the transfer request
>   `_m_period` - The number of units to be added to the registration period of the domain object

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getName

    public String getName()

> Accessor method for the name of the domain object for the transfer request
> Returns:
>   The domain name
> See Also:
>   `m_name`

### getPeriod

    public epp_DomainPeriod getPeriod()

> Accessor method for the number of units to be added to the registration period of the domain object
> Returns:
>   The domain period
> See Also:
>   `m_period`

### getTrans

    public epp_TransferRequest getTrans()

> Accessor method for the common and gereric transfer request element
> Returns:
>   The domain transfer request object
> See Also:
>   `m_trans`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setName

    public void setName(String value)

> Accessor method for the name of the domain object for the transfer request
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_name`

### setPeriod

    public void setPeriod(epp_DomainPeriod value)

> Accessor method for the number of units to be added to the registration period of the domain object
> Parameters:
>   `value` - The domain period
> See Also:
>   `m_period`

### setTrans

    public void setTrans(epp_TransferRequest value)

> Accessor method for the common and gereric transfer request element
> Parameters:
>   `value` - The domain transfer request object
> See Also:
>   `m_trans`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS